#!/usr/bin/python

from arsenal_lib import *
from lpltk import LaunchpadService

if len(sys.argv) < 3:
    sys.stderr.write("Usage: %s <search-regex> <source-package>\n" %(sys.argv[0]))
    sys.exit(1)

# TODO:  Add handling of args
#        - file regex

total_count = 0
text_regex  = sys.argv[1]
source_pkgs = sys.argv[2:]
lp          = LaunchpadService()
d           = lp.load_project("ubuntu")

re_text     = re.compile(text_regex)
re_filename = re.compile("(Xorg\.\d+\.log.*|XorgLog)")
# TODO: Handle compressed files too

for source_pkg in source_pkgs:
    s = d.getSourcePackage(name = source_pkg)
    for bugtask in s.searchTasks():
        bug = ArsenalBug(bugtask.bug, lp.launchpad)

        # Examine attachments
        for a in bug.bug.attachments:
            if not re_filename.search(a.title):
                continue

            # if author != bug original reporter, skip it
            author = a.message.owner.name
            if author != bug.bug.owner.name:
                continue

            # Retrieve content
            hosted_file = a.data
            hosted_file_buffer = hosted_file.open()
            content = hosted_file_buffer.read()

            if re_text.search(content):
                print bug.id, " " + bugtask.status + " " + bug.title

