#!/usr/bin/python

# Moves all bugs from one package to another

from arsenal_lib import *
from lpltk import LaunchpadService

if len(sys.argv) < 3:
    sys.stderr.write("Usage: %s <from-package> <to-package>" %sys.argv[0])
    exit(1)

dryrun      = False
from_pkg    = sys.argv[1]
to_pkg      = sys.argv[2]
lp          = LaunchpadService()
d           = lp.load_project("ubuntu")

message = """
Thank you for reporting this issue with %s, we are migrating it to the new %s package which has replaced it in the development version of Ubuntu.

This would be a good point for you to re-test this issue against the new package to see if is still occurring.  If not, you can mark it as Fix Released in Launchpad.  If it is still an issue in the current development release and you're the original reporter, please reply and attach a fresh Xorg.0.log.
""" %(from_pkg, to_pkg)

new_status = "Incomplete"
from_source = d.getSourcePackage(name = from_pkg)
to_source = d.getSourcePackage(name = to_pkg)
for bugtask in from_source.searchTasks():
    bug = ArsenalBug(bugtask.bug, lp.launchpad)

    print "%d %s" % (bug.id, bug.title)
    if not dryrun:
        bug.append_comment(message)
        print " ---> Added comment"

        bugtask.status = new_status
        bugtask.lp_save()
        print " ---> Set to " + new_status

        bugtask.transitionToTarget(target = to_source)
        print " ---> Moved to %s" %(to_pkg)

    else:
        print " ---> Would move to %s" %(to_pkg)
