#!/usr/bin/python

from arsenal_lib import *
from lpltk import LaunchpadService

if len(sys.argv) < 2:
    sys.stderr.write "Usage: " + sys.argv[0] + " <source-package>"
    exit(1)

total_count = 0
source_pkgs = sys.argv[1:]
lp          = LaunchpadService()
d           = lp.load_project("ubuntu")
new_status  = "Incomplete"

message = """
I've just uploaded a new 8.543 version of -fglrx to Intrepid which now should work with xserver 1.5.  Would you mind testing this new version and reporting back whether this issue is still present?  If it is, it would be helpful if you could (re-)post your Xorg.0.log from running with this version.  Thanks ahead of time.

If you don't have Intrepid installed on your system, you can test this by booting an Intrepid LiveCD (available from cdimage.ubuntu.com), using either the -vesa or -ati driver, then update to the latest version of Ubuntu, install fglrx, and then logout and back in.  Your /var/log/Xorg.0.log will confirm whether you've loaded FGLRX successfully.

If you find any new issues, please report them as separate bugs.  You can use the tool `ubuntu-bug fglrx-installer` which will gather the necessary files and create the launchpad report for you to fill in more easily.
"""

for source_pkg in source_pkgs:
    count=0
    print "Processing ", source_pkg
    for bugtask in d.searchTasks(search_text=source_pkg):
        if bugtask.bug_target_display_name != source_pkg + " (Ubuntu)":
            continue

        bug = ArsenalBug(bugtask.bug, lp.launchpad)

        print bug.id, " " + bugtask.status + " " + bug.title

        greeting = "Good day " + bug.owner_firstname + ",\n\n"
        bug.append_comment(greeting + message)
        bugtask.transitionToStatus(status = new_status)
        count = count + 1
        print " ---> " + new_status

    print count, " bugs changed for ", source_pkg
