#!/usr/bin/python

from arsenal_lib import *
from lpltk import LaunchpadService

source_pkg  = "inkscape"
lp          = LaunchpadService()
d           = lp.load_project("ubuntu")
new_status  = "Incomplete"
dry_run     = False

message = """
A pre-release of the upcoming Inkscape 0.47 is now available in Ubuntu
Karmic for testing.  Because *so* much stuff has changed compared with
the version you reported your bug against, would you mind re-testing
this new version and see if this bug is now resolved?

Karmic Alpha CD ISO images are available at:

  http://cdimage.ubuntu.com/releases/karmic/

If you're not testing Karmic yet, there are .debs of this new Inkscape
for Jaunty, Hardy, and Intrepid here:

  https://launchpad.net/~inkscape.testers/+archive/ppa

You might find further bugs when testing this alpha release.  If that is
the case, please file a NEW bug report here:

   https://edge.launchpad.net/inkscape/+filebug 

Thanks ahead of time for your testing efforts, and enjoy the new Inkscape!
"""

re_workflow = re.compile("^Please ", re.IGNORECASE)

count = 0
fmt = "%-8s %-10s %-12s %s"

s = d.getSourcePackage(name = source_pkg)
for bugtask in s.searchTasks():
    bug = ArsenalBug(bugtask.bug, lp.launchpad)

    if bugtask.status == "In Progress" or bugtask.status == "Fix Committed":
        print fmt % (bug.id, "[INPROG]", bugtask.status, bug.title)
        continue

    if bugtask.importance == "Wishlist":
        print fmt % (bug.id, "[WISHLIST]", bugtask.status, bug.title)
        continue

#    if bugtask.assignee:
#        print fmt % (bug.id, "[ASSIGNED]", bugtask.status, bug.title)
#        continue

#    if bug.has_upstream_task():
#        print fmt % (bug.id, "[UPSTREAM]", bugtask.status, bug.title)
#        continue

    if bug.has_patch():
        print fmt % (bug.id, "[PATCH]", bugtask.status, bug.title)
        continue
    
#    if re_workflow.search(bug.title):
#        print fmt % (bug.id, "[WORKFLOW]", bugtask.status, bug.title)
#        continue

    if not dry_run:
        if bug.append_comment(message):
            bugtask.transitionToStatus(status = "New")
            bugtask.transitionToStatus(status = "Incomplete")
            count = count + 1
    print fmt % (bug.id, "-retest-", bugtask.status, bug.title)


print count, " bugs changed for ", source_pkg

