#!/usr/bin/python
#
# display all the bug reports about a package targetted to a release

import simplejson as json
from arsenal_lib import *
from lpltk import *

if len(sys.argv) < 3:
    print >>sys.stderr, "Usage: " + sys.argv[0] + " <release> <source-package>\n"
    sys.exit(1)

total_count = 0
release     = sys.argv[1]
source_pkgs = sys.argv[2:]
try:
    lp          = LaunchpadService()
    d           = lp.load_project("ubuntu")
    series      = lp.load_distro_series("ubuntu", "%s" % release)
    records     = []
except:
    sys.exit(7)


try:
    for source_pkg in source_pkgs:
        dbg("source:  %s\n" %(source_pkg))
        if not d:
            d           = lp.load_project("ubuntu")
        s = series.getSourcePackage(name = source_pkg)
        for bugtask in s.searchTasks(omit_targeted=False):
            bug = ArsenalBug(bugtask.bug, lp.launchpad)

            records.append(bugtask_as_dict(bug, bugtask))
except:
    # If launchpad threw an exception, it's probably just LP being down.
    # We'll catch up next time we run
    sys.stderr.write("Error:  Unknown launchpad failure\n")
    sys.exit(1)


report = {
    'keys'      : [ 'id', 'title', 'importance', 'status', 'gravity' ],
    'bug_tasks' : records
}

print json.dumps(report, indent=4)

# TODO:  lazr.restfulclient.errors.HTTPError: HTTP Error 302: Found
