#!/usr/bin/python

import simplejson as json
import socket
from arsenal_lib import *
from lpltk import *

if len(sys.argv) < 3:
    print >>sys.stderr, "Usage: " + sys.argv[0] + " <tag> <source-package>\n"
    sys.exit(1)

total_count = 0
tag         = sys.argv[1]
source_pkgs = sys.argv[2:]
try:
    lp          = LaunchpadService()
    d           = lp.load_project("ubuntu")
    records     = []
except:
    sys.exit(7)


try:
    for source_pkg in source_pkgs:
        dbg("source:  %s\n" %(source_pkg))
        if not d:
            d           = lp.load_project("ubuntu")
        s = d.getSourcePackage(name = source_pkg)
        for bugtask in s.searchTasks(tags=tag):
            bug = ArsenalBug(bugtask.bug, lp.launchpad)
            bug.source_pkg = source_pkg

            records.append(bugtask_as_dict(bug, bugtask))

except HTTPError, e:
    if is_launchpad_down(e):
        sys.exit(7)
    else:
        sys.stderr.write("HTTPError Exception encountered: %s\n" %(bugtask.bug.id, e))
        raise
except socket.error as e:
    # Network is down.  Skip for now                                                                  
    sys.exit(7)
except:
    sys.stderr.write("Unknown exception encountered\n")

report = {
    'keys'      : [ 'id', 'title', 'importance', 'status', 'gravity' ],
    'bug_tasks' : records
}

print json.dumps(report, indent=4)

# TODO:  lazr.restfulclient.errors.HTTPError: HTTP Error 302: Found
