#!/usr/bin/python

from distutils.core import setup
import glob, os, re

# look/set what version we have
changelog = "debian/changelog"
if os.path.exists(changelog):
    head=open(changelog).readline()
    match = re.compile(".*\((.*)\).*").match(head)
    if match:
        version = match.group(1)

setup(name='arsenal',
      version=version,
      scripts=[
          'scripts/bug-listing.py',
          'scripts/bugtotals',
          'scripts/collect-milestone-bugs',
          'scripts/collect-team-packagebugs',
          'scripts/collect-ubuntu-releases',
          'scripts/collect-xorg-package-status',
          'scripts/git-commit-log',
          'scripts/karma',
          'scripts/make_page',
          'scripts/top-karma',
          'scripts/upstream',
          'scripts/upstream-rankings',
          'scripts/upstream-report',
          'scripts/xorg-report',
          ],
      packages=['arsenal'],
      data_files = [('/usr/lib/cgi-bin',                 ['scripts/send_upstream.cgi']),
                    ('/var/www/js',                      glob.glob('web/js/*.js')),
                    ('/var/www/+icing',                  glob.glob('web/+icing/*[.-]*')),
                    ('/var/www/',                        glob.glob('web/js/*.css')),
                    ('/var/lib/arsenal/hooks',           glob.glob('web/hooks/*-*')),
                    ('/var/lib/arsenal/templates',       glob.glob('web/templates/*.*')),
                    ('/var/lib/arsenal/templates/frame', glob.glob('web/templates/frame/*.*')),
                    ],
      requires = ['launchpadlib','pycurl','lpltk','cgitb','bzutils'],
      #requires = ['launchpadlib','pycurl','lpltk','cgitb','bzutils','gnome-keyring','Template-Toolkit'],
      )

# Uninstallation:
# 
# rm -rf /var/lib/arsenal
# rm -rf /var/www/+icing
# rm /usr/local/lib/python2.6/dist-packages/arsenal-0.0.egg-info
# rm /usr/lib/cgi-bin/send_upstream.cgi
# rm /var/www/js/sorttable.js /var/www/js/sortable.js /var/www/js/filtertable.js
# rm /usr/local/bin/<scripts> # see above
