#!/usr/bin/python

import sys
from template import Template
from template.util import TemplateException, Literal

TEMPLATE_MAIN    = "templates/main.tt2"
TEMPLATE_CONTENT = "templates/table.tt2"

tt2 = Template()

try:
    columns = [
        { 'title':  'Bug',        'field':  'id' },
        { 'title':  'Assignee',   'field':  'assignee' },
        { 'title':  'Milestone',  'field':  'milestone' }
        ]

    data = [
        {
            'id' : 1,
            'assignee' : 'bryce',
            'milestone' : '9.04'
            },
        {
            'id' : 2,
            'assignee' : '',
            'milestone' : '9.04'
            }
        ]

    content = tt2.process(TEMPLATE_CONTENT, {
            'table_name': 'example',
            'columns': columns,
            'sort_column': 'assignee',
            'data': data,
            } )
    print tt2.process(TEMPLATE_MAIN, { 'title': 'Regression Report for Xorg', 'content': content } )

except TemplateException, e:
    print >>sys.stderr, "ERROR: %s" % e

