#!/usr/bin/python

import sys
from template import Template
from template.util import TemplateException, Literal
from arsenal_lib import *
from lpltoolkit import LaunchpadService

if len(sys.argv) < 2:
    sys.stderr.write "Usage: " + sys.argv[0] + " <tag> <source-package>"
    exit(1)

TEMPLATE_MAIN    = "templates/index.tt2"
TEMPLATE_CONTENT = "templates/table.tt2"

tag         = "regression"
source_pkgs = sys.argv[1:]
lp          = LaunchpadService()
d           = lp.load_project("ubuntu")
tt2 = Template()


try:
    content = tt2.process(TEMPLATE_CONTENT)
    print tt2.process(TEMPLATE_MAIN, { 'title': 'Regression Report for Xorg', 'content': content } )

    for source_pkg in source_pkgs:
        for bugtask in d.searchTasks(search_text=source_pkg, tags=tag):
            if bugtask.bug_target_display_name != source_pkg + " (Ubuntu)":
                continue

            bug = ArsenalBug(bugtask.bug, lp.launchpad)
            print bug.id, " " + bugtask.status + " " + bug.title

except TemplateException, e:
    print >>sys.stderr, "ERROR: %s" % e

